Subject: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jun 2016 05:27:04 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 5 Jun 2016 15:13:00 -0400
> Cc: John Mastro <[email-masked]>, [email-masked], [email-masked]
> 
> >> Just to clarify, "last character of that line" refers to the newline
> >> character or the one before it?
> >
> > The last displayed character of the line.  The newline is not
> > displayed, in the sense that it has no glyph, so it can have no face.
> 
> That doesn't seem to be the case, with the following modification to
> the recipe so that the newline characters are not underlined, the
> underlining does not continue to the edge of the screen:

When the newline does not have the underline attribute, the underline
is not contiguous, so you are radically changing the use case.